Subject: Re: bug#77823: 31.0.50; M-j regression since commit 4c6b1712a4d

From: Elijah Gabe Pérez <[email-masked]>
Date: Tue, 22 Apr 2025 13:52:31 -0600

Juri Linkov <[email-masked]> escribió:

> > This isn't fundamentally about comments at all.  For example, these
> > multichar pairs could include the opening "case" and closing "esac" in a
> > shell script, right?
>
> Maybe 'electric-pair-mode' should support string delimiters
> in addition to characters, e.g.
>
>   (setopt electric-pair-pairs `(("case" . "esac")))
>

Right, but using case for this would be a downside from my POV, if you
write `case' in a comment for documentation it will auto insert `esac',
another idea is define a variable in electric-pairs for this kind of pairs
which specifies if a pair can be expanded in comments/strings.